import { getText } from "../../../../../../locales/index.js";
import { message } from "antd";
import dayjs from "dayjs";
//#region src/components/table/Actions/component/ExportImport/utils/file.ts
const getFileDateName = () => {
	return "-" + dayjs().format("YYYY-MM-DD-HH-mm-ss");
};
/**
* @Title: 复制内容
* @Describe:
* @Author: Wzw
*/
const copyText = (text) => {
	let input = document.createElement("input");
	input.setAttribute("value", text);
	document.body.appendChild(input);
	input.select();
	document.execCommand("copy");
	document.body.removeChild(input);
	message.success(getText("table-action-export-import-table-success-copy"));
};
//#endregion
export { copyText, getFileDateName };
